[arch-commits] Commit in meld/trunk (PKGBUILD meld_buildfix.diff)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Jul 2 16:16:56 EDT 2008


    Date: Wednesday, July 2, 2008 @ 16:16:55
  Author: andyrtr
Revision: 4041

upgpkg: meld 1.2-1

Added:
  meld/trunk/meld_buildfix.diff
Modified:
  meld/trunk/PKGBUILD

--------------------+
 PKGBUILD           |   15 +++++++++------
 meld_buildfix.diff |   14 ++++++++++++++
 2 files changed, 23 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-02 20:14:01 UTC (rev 4040)
+++ PKGBUILD	2008-07-02 20:16:55 UTC (rev 4041)
@@ -1,21 +1,24 @@
 # $Id$
 # Maintainer: 
 pkgname=meld
-pkgver=1.1.5.1
-pkgrel=2
+pkgver=1.2
+pkgrel=1
 pkgdesc="Visual diff and merge tool for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://meld.sourceforge.net/"
-depends=('gnome-python-desktop>=2.20.0-3')
+depends=('gnome-python-desktop>=2.20.0-3 gtksourceview')
 makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.11.2' 'intltool')
 install=meld.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.1/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('d7366b958f9897f22eb867726b217b5a')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.2/${pkgname}-${pkgver}.tar.gz
+	meld_buildfix.diff)
+md5sums=('50ea5a7cdf2451448a78e53b172d7f6f'
+         '074042dcafc9869a4dad69e0d1d92b0e')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ../meld_buildfix.diff || return 1
   make prefix=/usr || return 1
-  make prefix=/usr DESTDIR=${startdir}/pkg install
+  make prefix=/usr DESTDIR=${pkgdir} install || return 1
   rm -rf ${startdir}/pkg/usr/gnome/share/doc
 }

Added: meld_buildfix.diff
===================================================================
--- meld_buildfix.diff	                        (rev 0)
+++ meld_buildfix.diff	2008-07-02 20:16:55 UTC (rev 4041)
@@ -0,0 +1,14 @@
+diff -p -up meld-1.2/help/fr/GNUmakefile~ meld-1.2/help/fr/GNUmakefile
+--- meld-1.2/help/fr/GNUmakefile~	2008-03-31 22:44:53.000000000 +0200
++++ meld-1.2/help/fr/GNUmakefile	2008-06-27 10:37:54.000000000 +0200
+@@ -15,9 +15,8 @@ all $(OMF_NAME).install : $(OMF_NAME)
+ 
+ .PHONY : install
+ install : $(OMF_NAME).install
+-	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_) $(XML_DIR_)/figures
++	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_)
+ 	install -m 644 meld.$(LANG).xml $(XML_DIR_)/meld.xml
+-	install -m 644 figures/*.png $(XML_DIR_)/figures
+ 	-install -m 644 $< $(OMF_DIR_)/$(OMF_NAME)
+ 	-scrollkeeper-update -p $(OMF_STATE) -o $(OMF_DIR_)
+ 





More information about the arch-commits mailing list